% initSureletParam: Creation of a structure with some needed parameters.
% optionparam=initSureletParam(N,k,k2,mult2)
%
% initSureletParam: This function creates a structure with all the
% necessary parameters for the FB-SURE-LET methods to work. All parameters
% are optional.
% N is the downsampling factor.
% k is the overlapping factor.
% k2 is the redundancy factor.
% mult2 is used in the computation of the thresholding operator.
%
% See also FB_DENOISE_SURELET.
%
% Input:        
% Optional:     N,k (int), k2,sigma2 (double)
% Output:       optionparam (structure)
% Uses:         
% Used in:      FB_denoise_surelet
% Comments:
% Notes:
% Created:      2008/10/02
% Modified:     
%
%   Author: Jrme Gauthier, jerome.gauthier@gmail.com
